Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

"Cannot restore warning `CS0169' because it was disabled globally" warning on creating new project

Discussion in '2019.1 Beta' started by APSchmidt, Dec 30, 2018.

  1. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    1,955
    I get this warning each time I create a new project; this time it was after creating a 2D project.
    The only things the new project contains are:
    • the main camera in the hierarchy view,
    • the packages that are automatically installed on project creation in the project view.
    The packages are:
    • Analytics Library,
    • com.unity.ads,
    • In App Pruchasing,
    • Package Manager Ui,
    • TextMesh Pro,
    • Unity Collaborate,
    • Unity Timeline,
    • XR Legacy Input Helpers.
    Edit: for what matters, I'm also getting twice that same message when I import a project,

    Capture.JPG

    in this case I was importing the 2D Platformer project.
     
    Last edited: Dec 30, 2018
  2. LeonhardP

    LeonhardP

    Unity Technologies

    Joined:
    Jul 4, 2016
    Posts:
    1,402
    The problem is that the templates specify the wrong scripting runtime (3.5 instead of the new default 4.x). The templates should be fixed for the next release. If you set the scripting runtime to 4.x, the problems should disappear.
     
    APSchmidt likes this.